#include "descriptor/descriptor.h"

int main(void)
{
	ITEM base, becco_a, becco_b, congiunzione_d_1, congiunzione_d_2, congiunzione_d_3, congiunzione_d_4, 			  congiunzione_d_5, congiunzione_d_6, congiunzione_d_7, congiunzione_s_1, congiunzione_s_2,
		  congiunzione_s_3, congiunzione_s_4, congiunzione_s_5, congiunzione_s_6, congiunzione_s_7,
		  congiunzione_penna, penna, pennino, perno_d, perno_s, recipiente, struttura_d_1, struttura_d_2,
		  struttura_d_3, struttura_s_1, struttura_s_2, struttura_s_3, tondo, piano, foglio, cupola;

	ITEM bronzo, ceramica, rame, ferro, specchio, legno, nero;

	ITEM scene;

	set_background(1, 1, 1, FALSE);
	set_ambient_light(1, 1, 1, 0.5);
	create_point_light(13, 2, 9, 1,1,1,0.7,0, "luce_1");

	base = read_nurbs("base.db");
	becco_a = read_nurbs("becco_a.db");
	becco_b = read_nurbs("becco_b.db");

	congiunzione_d_1 = read_nurbs("congiunzione_d_1.db");
	congiunzione_d_2 = read_nurbs("congiunzione_d_2.db");
	congiunzione_d_3 = read_nurbs("congiunzione_d_3.db");
	congiunzione_d_4 = read_nurbs("congiunzione_d_4.db");
	congiunzione_d_5 = read_nurbs("congiunzione_d_5.db");
	congiunzione_d_6 = read_nurbs("congiunzione_d_6.db");
	congiunzione_d_7 = read_nurbs("congiunzione_d_7.db");

	congiunzione_s_1 = read_nurbs("congiunzione_s_1.db");
	congiunzione_s_2 = read_nurbs("congiunzione_s_2.db");
	congiunzione_s_3 = read_nurbs("congiunzione_s_3.db");
	congiunzione_s_4 = read_nurbs("congiunzione_s_4.db");
	congiunzione_s_5 = read_nurbs("congiunzione_s_5.db");
	congiunzione_s_6 = read_nurbs("congiunzione_s_6.db");
	congiunzione_s_7 = read_nurbs("congiunzione_s_7.db");

	congiunzione_penna = read_nurbs("congiunzione_penna.db");
	penna = read_nurbs("penna.db");
	pennino = read_nurbs("pennino.db");
	perno_d = read_nurbs("perno_d.db");
	perno_s = read_nurbs("perno_s.db");
	recipiente = read_nurbs("recipiente.db");

	struttura_d_1 = read_nurbs("struttura_d_1.db");
	struttura_d_2 = read_nurbs("struttura_d_2.db");
	struttura_d_3 = read_nurbs("struttura_d_3.db");

	struttura_s_1 = read_nurbs("struttura_s_1.db");
	struttura_s_2 = read_nurbs("struttura_s_2.db");
	struttura_s_3 = read_nurbs("struttura_s_3.db");

	tondo = read_nurbs("tondo.db");
	piano = read_nurbs("piano.db");
	cupola = read_nurbs("cupola.db");

	scene = create_list(base, "scene");
	scene = insert_in_list(scene, becco_a);
	scene = insert_in_list(scene, becco_b);
	scene = insert_in_list(scene, congiunzione_s_1);
	scene = insert_in_list(scene, congiunzione_s_2);
	scene = insert_in_list(scene, congiunzione_s_3);
	scene = insert_in_list(scene, congiunzione_s_4);
	scene = insert_in_list(scene, congiunzione_s_5);
	scene = insert_in_list(scene, congiunzione_s_6);
	scene = insert_in_list(scene, congiunzione_s_7);

	scene = insert_in_list(scene, congiunzione_d_1);
	scene = insert_in_list(scene, congiunzione_d_2);
	scene = insert_in_list(scene, congiunzione_d_3);
	scene = insert_in_list(scene, congiunzione_d_4);
	scene = insert_in_list(scene, congiunzione_d_5);
	scene = insert_in_list(scene, congiunzione_d_6);
	scene = insert_in_list(scene, congiunzione_d_7);

	scene = insert_in_list(scene, penna);
	scene = insert_in_list(scene, congiunzione_penna);
	scene = insert_in_list(scene, pennino);
	scene = insert_in_list(scene, perno_d);
	scene = insert_in_list(scene, perno_s);
	scene = insert_in_list(scene, recipiente);
	scene = insert_in_list(scene, struttura_s_1);
	scene = insert_in_list(scene, struttura_s_2);
	scene = insert_in_list(scene, struttura_s_3);
	scene = insert_in_list(scene, struttura_d_1);
	scene = insert_in_list(scene, struttura_d_2);
	scene = insert_in_list(scene, struttura_d_3);

	scene = insert_in_list(scene, tondo);
	scene = insert_in_list(scene, piano);
	scene = insert_in_list(scene, cupola);


	bronzo = create_attribute("bronzo");
	set_color(bronzo, 1,0.4,0,0.230,1);
	set_reflectivity(bronzo, 0.25,1);
	set_transparency(bronzo, 0,0,0,0);

	rame = create_attribute("rame");
	set_color(rame, 1,0.8,0,0.230,1);
	set_reflectivity(rame, 0.25,1);
	set_transparency(rame, 0,0,0,0);

	ferro = create_attribute("ferro");
	set_color(ferro, 0.7,0.7,0.7,0.230,1);
	set_reflectivity(ferro, 0.25,1);
	set_transparency(ferro, 0,0,0,0);

	specchio = create_attribute("specchio");
	set_color(specchio, 0.60,0.60,0.60,1,1);
	set_reflectivity(specchio, 1,1);
	set_transparency(specchio, 0,0,0,0);

	legno = create_attribute("legno");
	set_color(legno, 0.64,0.46,0.20,0.8,0.34);
	set_reflectivity(legno, 0,1);
	set_transparency(legno, 0,0,0,0);

	ceramica = create_attribute("ceramica");
	set_color(ceramica, 1,1,1,0.8,0.7);
	set_reflectivity(ceramica, 0.14,0);
	set_transparency(ceramica, 0,0,0,0);

	nero = create_attribute("nero");
	set_color(nero, 0,0,0,0.220,0.440);
	set_reflectivity(nero, 0.16,0);
	set_transparency(nero, 0,0,0,0);

	set_attribute(base, bronzo);
	set_attribute(congiunzione_s_1, bronzo);
	set_attribute(congiunzione_s_2, bronzo);
	set_attribute(congiunzione_s_3, bronzo);
	set_attribute(congiunzione_s_4, bronzo);
	set_attribute(congiunzione_s_5, bronzo);
	set_attribute(congiunzione_s_6, bronzo);
	set_attribute(congiunzione_s_7, bronzo);
	set_attribute(congiunzione_d_1, bronzo);
	set_attribute(congiunzione_d_2, bronzo);
	set_attribute(congiunzione_d_3, bronzo);
	set_attribute(congiunzione_d_4, bronzo);
	set_attribute(congiunzione_d_5, bronzo);
	set_attribute(congiunzione_d_6, bronzo);
	set_attribute(congiunzione_d_7, bronzo);
	set_attribute(struttura_s_1, bronzo);
	set_attribute(struttura_s_2, bronzo);
	set_attribute(struttura_s_3, bronzo);
	set_attribute(struttura_d_1, bronzo);
	set_attribute(struttura_d_2, bronzo);
	set_attribute(struttura_d_3, bronzo);
	set_attribute(perno_s, bronzo);
	set_attribute(perno_d, bronzo);
	set_attribute(tondo, bronzo);


	set_attribute(recipiente, ceramica);
	set_attribute(becco_a, ceramica);
	set_attribute(becco_b, ceramica);


	set_attribute(pennino, rame);

	set_attribute(congiunzione_penna, ferro);

	set_attribute(piano, specchio);
	set_attribute(cupola, nero);

	set_attribute(penna, legno);

	save_scene("calamaio.md", "Calamaio", scene);

	return 0;
}


